Results 1 to 5 of 5

Thread: zypper cannot install 32-bit app on 64-bit system

  1. #1
    Join Date
    Jun 2008
    Location
    Brisbane, Australia
    Posts
    207

    Default zypper cannot install 32-bit app on 64-bit system

    I added ettercap repo
    Index of /repositories/home:/bastianfriedrich/openSUSE_11.3
    and I want to install 32-bit ettercap. But these commands fail:
    Code:
     # zypper install "ettercap-ng.i586"
     # zypper install ettercap-ng.i586
     # zypper install "ettercap-0.7.3-9.1.i586"
     # zypper install "ettercap.i586=0.7.3-9.1"
    NVIDIA! Listen to your customers! We want Free drivers.
    Petition #1. Petition #2. Use your VOICE! Sign the petitions!

  2. #2
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: zypper cannot install 32-bit app on 64-bit system

    felipe1982 wrote:

    >
    > I added ettercap repo
    > 'Index of /repositories/home:/bastianfriedrich/openSUSE_11.3'
    > (http://tinyurl.com/2azem9a)
    > and I want to install 32-bit ettercap. But these commands fail:
    >
    > Code:
    > --------------------
    > # zypper install "ettercap-ng.i586"
    > # zypper install ettercap-ng.i586
    > # zypper install "ettercap-0.7.3-9.1.i586"
    > # zypper install "ettercap.i586=0.7.3-9.1"
    >
    > --------------------
    >

    Why do you want to install the 32 bit versions? Does the 64 bit version from
    the repo not work.

    Not sure about which zypper command to use to force i586.
    With yast search for ettercap go to the version selection and choose the
    i586 version.

    --
    openSUSE 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.5 | GeForce
    9600 GT | 4GB Ram
    openSUSE 11.3 64 bit | Intel Core2 Duo T9300@2.50GHz | KDE 4.5 | Quadro FX
    3600M | 4GB Ram

  3. #3
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: zypper cannot install 32-bit app on 64-bit system

    Yeah, why do you want the 32-bit version? There is a 64-bit version.

    Hint: it might help if you spelt the package name exactly as found: ettercap-NG (note capital NG). If you were using YaST with point and click, you wouldn't have to clean your case-insensitive spectacles.

  4. #4

    Default Re: zypper cannot install 32-bit app on 64-bit system

    I installed ettercap aswel from this repo, got no problem untill I try to scan hosts .. -->

    Ooops ! This shouldn't happen...
    Segmentation Fault...

    Please recompile in debug mode, reproduce the bug and send a bugreport

  5. #5

    Default Re: zypper cannot install 32-bit app on 64-bit system

    error messages?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •